Bug 75614 - installer crashes when using kickstart config contianing \ characters
installer crashes when using kickstart config contianing \ characters
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
8.0
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-10 05:58 EDT by Simon Crute
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 15:05:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Crute 2002-10-10 05:58:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; SunOS sun4u; en-US; rv:0.9.4.1) Gecko/20020406
Netscape6/6.2.2

Description of problem:
When using a ks.cfg file to install RH8 over http the following error Ocures. 
If the ks.cfg file has the following lines in it, then the install crashes. 
(note: before this was cut and pasted into this form, the only carage returns
were after the \ characters)

rpm -ivh http://iplanet-c/RH73/RedHat/RPMS/nedit-5.3-1.i386.rpm \
	http://ipluto/RH73/RHupd/post/j2sdk-1_4_1-fcs-linux-i586.rpm \
	http://iplanet-c/RH8/RedHat/RPMS/openssh-server-3.4p1-2.i386.rpm \
	http://iplanet-c/RH8/RedHat/RPMS/ncurses4-5.0-9.i386.rpm


If the line is modified as follows, the install works correctly. (note there are
no carage returns in the following line)
rpm -ivh http://iplanet-c/RH73/RedHat/RPMS/nedit-5.3-1.i386.rpm
http://ipluto/RH73/RHupd/post/j2sdk-1_4_1-fcs-linux-i586.rpm
http://iplanet-c/RH8/RedHat/RPMS/openssh-server-3.4p1-2.i386.rpm
http://iplanet-c/RH8/RedHat/RPMS/ncurses4-5.0-9.i386.rpm


Please contact if you'd like an email explaining the above that doesn't get
screwed up by the online form. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.use kickstart configurator to construct a ks.cfg file. 
2. Added all the following to the ks.cfg file

%post

rpm -ivh http://iplanet-c/RH73/RedHat/RPMS/nedit-5.3-1.i386.rpm \
	http://ipluto/RH73/RHupd/post/j2sdk-1_4_1-fcs-linux-i586.rpm \
	http://iplanet-c/RH8/RedHat/RPMS/openssh-server-3.4p1-2.i386.rpm \
	http://iplanet-c/RH8/RedHat/RPMS/ncurses4-5.0-9.i386.rpm

	

3) try to install linux with linux ks=floppy 

Actual Results:  isntaller crashes with a blue screen, black text saying
something like 
install exited abnormally -- received signal 11
                                               sending termination signals...done
              sending kill signals...done
                           
.
.
.
etc. 
note the seccond line starts where the first line ends. i.e. there's a lf but no
being printed


Expected Results:  the installer to start normally and install linux. 


Additional info:
Comment 1 Jeremy Katz 2002-10-14 12:49:24 EDT
I've committed a fix for the segfault, but the parser still doesn't allow
continuing lines with a '\'.
Comment 2 Jeremy Katz 2003-01-08 16:59:47 EST
Your case should be handled nicely in the current codebase.
Comment 3 Jeremy Katz 2006-04-24 15:05:31 EDT
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.

Note You need to log in before you can comment on or make changes to this bug.